Reference record for OID 1.3.6.1.4.1.52642.2.177

Parent
1.3.6.1.4.1.52642.2 (fsnetworks, nmslocal, fsProtocol, fsCommon, transmission)
Node code
177
Node name
fsFlexE
Numeric OID
1.3.6.1.4.1.52642.2.177
URN notation
urn:oid:1.3.6.1.4.1.52642.2.177
ASN.1 notation

{1 3 6 1 4 1 52642 2 177}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fs(52642) fsnetworks(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fs(52642) nmslocal(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fs(52642) fsProtocol(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fs(52642) fsCommon(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fs(52642) transmission(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(52642) fsnetworks(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(52642) nmslocal(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(52642) fsProtocol(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(52642) fsCommon(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(52642) transmission(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fiberstore(52642) fsnetworks(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fiberstore(52642) nmslocal(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fiberstore(52642) fsProtocol(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fiberstore(52642) fsCommon(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) fiberstore(52642) transmission(2) fsFlexE(177)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) vtss(52642) fsnetworks(2) fsFlexE(177)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/52642/2/177
  • /ISO/Identified-Organization/6/1/4/1/52642/2/177
  • /ISO/3/6/1/4/1/52642/2/177
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/fs/fsnetworks/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fs/nmslocal/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fs/fsProtocol/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fs/fsCommon/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fs/transmission/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/nms/fsnetworks/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/nms/nmslocal/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/nms/fsProtocol/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/nms/fsCommon/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/nms/transmission/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fiberstore/fsnetworks/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fiberstore/nmslocal/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fiberstore/fsProtocol/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fiberstore/fsCommon/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/fiberstore/transmission/fsFlexE
  • /iso/identified-organization/dod/internet/private/enterprise/FS/fsnetworks/fsFlexE
  • Additional combinations skipped.

Descriptions

fsFlexE — FS.COM official Documentation Hub native MIB packages

This MIB provides FlexE interface information that is excluded by RFC 1213 and RFC 2233

Source records

fsFlexE

Status in source: unspecified.

Names: fsFlexE

Technical details
{
  "smi_kind": "OBJECT IDENTIFIER",
  "definition": [
    "fsFlexE",
    "OBJECT",
    "IDENTIFIER",
    "::=",
    "{",
    "fsCommon",
    "177",
    "}"
  ]
}
  • FS.COM official Documentation Hub native MIB packages · Publisher's source file: Source package: ies3220-8t4f-switch-snmp-mib-files.zip

    Module: FS-OID-MIB

    Published definition
    fsFlexE                   OBJECT IDENTIFIER ::= { fsCommon 177 }
    Module imports
    {'RFC1155-SMI': ['enterprises']}

    Related source files and packages:

    • IES5120-28TF Switch SNMP MIB FilesIES5120-28TF Switch SNMP MIB Files; Models: IES5120-28TF; Catalog updated: 2026-02-27 15:56:52; File: mall/resource/ies5120-28tf-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:14:36 GMT; 2.6 MiB
    • IES3220-8T4F Switch SNMP MIB FilesIES3220-8T4F Switch SNMP MIB Files; Models: IES3220-8T4F; Catalog updated: 2025-12-03 14:28:43; File: mall/resource/ies3220-8t4f-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:08:16 GMT; 2.6 MiB
    • IES5120-48T4S Switch SNMP MIB FilesIES5120-48T4S Switch SNMP MIB Files; Models: IES5120-48T4S; Catalog updated: 2026-02-27 16:10:26; File: mall/resource/ies5120-48t4s-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:16:11 GMT; 2.6 MiB
    Show all 10 related files and packages
    • TSN3220-10S Switch SNMP MIB FilesTSN3220-10S Switch SNMP MIB Files; Models: TSN3220-10S; Catalog updated: 2026-01-08 09:53:00; File: mall/resource/tsn3220-10s-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:10:41 GMT; 2.6 MiB
    • IES5120-28TS-P Switch SNMP MIB FilesIES5120-28TS-P Switch SNMP MIB Files; Models: IES5120-28TS-P; Catalog updated: 2026-02-27 16:09:52; File: mall/resource/ies5120-28ts-p-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:15:40 GMT; 2.6 MiB
    • IES5220-30TS-3ES Switch SNMP MIB FilesIES5220-30TS-3ES Switch SNMP MIB Files; Models: IES5220-30TS-3ES; Catalog updated: 2025-08-19 16:17:18; File: mall/resource/ies5220-30ts-3es-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:17:18 GMT; 2.6 MiB
    • IES5220-6S-3ES Switch SNMP MIB FilesIES5220-6S-3ES Switch SNMP MIB Files; Models: IES5220-6S-3ES; Catalog updated: 2026-02-27 16:11:15; File: mall/resource/ies5220-6s-3es-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:32:47 GMT; 2.6 MiB
    • IES3220-8T4F-U Switch SNMP MIB FilesIES3220-8T4F-U Switch SNMP MIB Files; Models: IES3220-8T4F-U; Catalog updated: 2025-12-03 14:47:49; File: mall/resource/ies3220-8t4f-u-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:09:07 GMT; 2.6 MiB
    • IES5120-28TS Switch SNMP MIB FilesIES5120-28TS Switch SNMP MIB Files; Models: IES5120-28TS; Catalog updated: 2026-02-27 15:57:39; File: mall/resource/ies5120-28ts-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:15:08 GMT; 2.6 MiB
    • TSN3220-10S-U Switch SNMP MIB FilesTSN3220-10S-U Switch SNMP MIB Files; Models: TSN3220-10S-U; Catalog updated: 2025-12-16 18:11:48; File: mall/resource/tsn3220-10s-u-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:13:57 GMT; 2.6 MiB

    Source location: FS-OID-MIB::fsFlexE.
    Source version and references

    Same file in tsn3220-10s-u-switch-snmp-mib-files.zip.

    Same file in tsn3220-10s-switch-snmp-mib-files.zip.

    Same file in ies5220-6s-3es-switch-snmp-mib-files.zip.

    Same file in ies5220-30ts-3es-switch-snmp-mib-files.zip.

    Downloaded: 2026-10-24T13:35:15.611922+00:00.

fsFlexE

Status in source: unspecified.

Names: fsFlexE

Technical details
{
  "smi_kind": "MODULE-IDENTITY",
  "definition": [
    "fsFlexE",
    "MODULE-IDENTITY",
    "LAST-UPDATED",
    [
      "literal",
      "223230323230333238303030305a22"
    ],
    "ORGANIZATION",
    "\"Fiberstore Co.,Limited\"",
    "CONTACT-INFO",
    "\"\"",
    "DESCRIPTION",
    "\"This MIB provides FlexE interface information that is excluded by RFC 1213 and RFC 2233\"",
    "REVISION",
    [
      "literal",
      "223230323230333238303030305a22"
    ],
    "DESCRIPTION",
    "\"Added fsFlexEGroupFMMismatch and fsFlexEGroupFMMismatchRecover.\"",
    "REVISION",
    [
      "literal",
      "223230313930343033313933365a22"
    ],
    "DESCRIPTION",
    "\"Modify trapnode name\"",
    "REVISION",
    [
      "literal",
      "223230313830383033313433365a22"
    ],
    "DESCRIPTION",
    "\"Initial version of this MIB module, including fsFlexEGroupTable,fsFlexESubTimeSlotGranularTable, fsFlexEPhyIfTable,fsFlexEIfTable,fsFlexETrap\"",
    "::=",
    "{",
    "fsCommon",
    "177",
    "}"
  ],
  "syntax_tree": [
    [
      "LAST-UPDATED",
      "202203280000Z"
    ],
    [
      "ORGANIZATION",
      "Fiberstore Co.,Limited"
    ],
    [
      "CONTACT-INFO",
      ""
    ],
    [
      "DESCRIPTION",
      "This MIB provides FlexE interface information that is excluded by RFC 1213 and RFC 2233"
    ],
    [
      "Revisions",
      [
        [
          "202203280000Z",
          [
            "DESCRIPTION",
            "Added fsFlexEGroupFMMismatch and fsFlexEGroupFMMismatchRecover."
          ]
        ],
        [
          "201904031936Z",
          [
            "DESCRIPTION",
            "Modify trapnode name"
          ]
        ],
        [
          "201808031436Z",
          [
            "DESCRIPTION",
            "Initial version of this MIB module, including fsFlexEGroupTable,fsFlexESubTimeSlotGranularTable, fsFlexEPhyIfTable,fsFlexEIfTable,fsFlexETrap"
          ]
        ]
      ]
    ]
  ]
}
  • FS.COM official Documentation Hub native MIB packages · Publisher's source file: Source package: ies3220-8t4f-switch-snmp-mib-files.zip

    Module: FS-FLEXE-MIB

    Published definition
    fsFlexE  MODULE-IDENTITY
            LAST-UPDATED    "202203280000Z"
            ORGANIZATION
                "Fiberstore Co.,Limited"
            CONTACT-INFO
                ""
            DESCRIPTION
                 "This MIB provides FlexE interface information that is
                 excluded by RFC 1213 and RFC 2233"
            REVISION        "202203280000Z"
            DESCRIPTION
                    "Added fsFlexEGroupFMMismatch and fsFlexEGroupFMMismatchRecover."
            REVISION        "201904031936Z"
            DESCRIPTION
                    "Modify trapnode name"
            REVISION        "201808031436Z"
            DESCRIPTION
                    "Initial version of this MIB module,
                     including fsFlexEGroupTable,fsFlexESubTimeSlotGranularTable,
                     fsFlexEPhyIfTable,fsFlexEIfTable,fsFlexETrap"
            ::= { fsCommon 177 }
    Module imports
    {'IF-MIB': ['ifIndex', 'ifDescr'], 'SNMPv2-TC': ['RowStatus'], 'FS-OID-MIB': ['fsCommon'], 'SNMPv2-SMI': ['Integer32', 'OBJECT-TYPE', 'MODULE-IDENTITY', 'NOTIFICATION-TYPE']}

    Related source files and packages:

    • IES5120-28TF Switch SNMP MIB FilesIES5120-28TF Switch SNMP MIB Files; Models: IES5120-28TF; Catalog updated: 2026-02-27 15:56:52; File: mall/resource/ies5120-28tf-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:14:36 GMT; 2.6 MiB
    • IES3220-8T4F Switch SNMP MIB FilesIES3220-8T4F Switch SNMP MIB Files; Models: IES3220-8T4F; Catalog updated: 2025-12-03 14:28:43; File: mall/resource/ies3220-8t4f-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:08:16 GMT; 2.6 MiB
    • IES5120-48T4S Switch SNMP MIB FilesIES5120-48T4S Switch SNMP MIB Files; Models: IES5120-48T4S; Catalog updated: 2026-02-27 16:10:26; File: mall/resource/ies5120-48t4s-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:16:11 GMT; 2.6 MiB
    Show all 10 related files and packages
    • TSN3220-10S Switch SNMP MIB FilesTSN3220-10S Switch SNMP MIB Files; Models: TSN3220-10S; Catalog updated: 2026-01-08 09:53:00; File: mall/resource/tsn3220-10s-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:10:41 GMT; 2.6 MiB
    • IES5120-28TS-P Switch SNMP MIB FilesIES5120-28TS-P Switch SNMP MIB Files; Models: IES5120-28TS-P; Catalog updated: 2026-02-27 16:09:52; File: mall/resource/ies5120-28ts-p-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:15:40 GMT; 2.6 MiB
    • IES5220-30TS-3ES Switch SNMP MIB FilesIES5220-30TS-3ES Switch SNMP MIB Files; Models: IES5220-30TS-3ES; Catalog updated: 2025-08-19 16:17:18; File: mall/resource/ies5220-30ts-3es-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:17:18 GMT; 2.6 MiB
    • IES5220-6S-3ES Switch SNMP MIB FilesIES5220-6S-3ES Switch SNMP MIB Files; Models: IES5220-6S-3ES; Catalog updated: 2026-02-27 16:11:15; File: mall/resource/ies5220-6s-3es-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:32:47 GMT; 2.6 MiB
    • IES3220-8T4F-U Switch SNMP MIB FilesIES3220-8T4F-U Switch SNMP MIB Files; Models: IES3220-8T4F-U; Catalog updated: 2025-12-03 14:47:49; File: mall/resource/ies3220-8t4f-u-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:09:07 GMT; 2.6 MiB
    • IES5120-28TS Switch SNMP MIB FilesIES5120-28TS Switch SNMP MIB Files; Models: IES5120-28TS; Catalog updated: 2026-02-27 15:57:39; File: mall/resource/ies5120-28ts-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:15:08 GMT; 2.6 MiB
    • TSN3220-10S-U Switch SNMP MIB FilesTSN3220-10S-U Switch SNMP MIB Files; Models: TSN3220-10S-U; Catalog updated: 2025-12-16 18:11:48; File: mall/resource/tsn3220-10s-u-switch-snmp-mib-files.zip; Publisher Last-Modified: Tue, 19 Aug 2025 08:13:57 GMT; 2.6 MiB

    Source location: FS-FLEXE-MIB::fsFlexE.
    Source version and references

    Same file in tsn3220-10s-u-switch-snmp-mib-files.zip.

    Same file in tsn3220-10s-switch-snmp-mib-files.zip.

    Same file in ies5220-6s-3es-switch-snmp-mib-files.zip.

    Same file in ies5220-30ts-3es-switch-snmp-mib-files.zip.

    Downloaded: 2026-10-24T13:35:15.444924+00:00.

Current Registration Authority (inferred from ancestor 1.3.6.1.4.1.52642)

FS.COM INC

Direct children (5)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.52642.2.177.1 fsFlexESubSlotInfo210
1.3.6.1.4.1.52642.2.177.2 fsFlexEPhyIfTable14
1.3.6.1.4.1.52642.2.177.3 fsFlexEIfTable15
1.3.6.1.4.1.52642.2.177.4 fsFlexETrapObjects44
1.3.6.1.4.1.52642.2.177.5 fsFlexETrap127

Siblings (265)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.52642.2.51 fsMpm229
1.3.6.1.4.1.52642.2.52 fsOadp00
1.3.6.1.4.1.52642.2.53 fsTunnel195
1.3.6.1.4.1.52642.2.54 fsGre16
1.3.6.1.4.1.52642.2.55 fsObjectInfo212
1.3.6.1.4.1.52642.2.56 fsStorage00
1.3.6.1.4.1.52642.2.57 fsDvpn1146
1.3.6.1.4.1.52642.2.58 fsDhcpRelay150
1.3.6.1.4.1.52642.2.59 fsIsis221
1.3.6.1.4.1.52642.2.60 fsRpr1129
1.3.6.1.4.1.52642.2.61 fsSubnetVlan228
1.3.6.1.4.1.52642.2.62 fsDlswExt1125
1.3.6.1.4.1.52642.2.63 fsSyslog183
1.3.6.1.4.1.52642.2.64 fsFlowTemplate128
1.3.6.1.4.1.52642.2.65 fsQos221041
1.3.6.1.4.1.52642.2.66 fsStormConstrain321
1.3.6.1.4.1.52642.2.67 fsIpAddrMIB233
1.3.6.1.4.1.52642.2.68 fsMirrGroup147
1.3.6.1.4.1.52642.2.69 fsQINQ141
1.3.6.1.4.1.52642.2.70 fsTransceiver3167
1.3.6.1.4.1.52642.2.71 fsIpv6AddrMIB125
1.3.6.1.4.1.52642.2.72 fsBfdMIB466
1.3.6.1.4.1.52642.2.73 fsRCP134
1.3.6.1.4.1.52642.2.74 fsAcfp180
1.3.6.1.4.1.52642.2.75 fsDot11192864
1.3.6.1.4.1.52642.2.76 fsE1T1VI313
1.3.6.1.4.1.52642.2.77 fswapiMIB4102
1.3.6.1.4.1.52642.2.78 fsL2VpnPwe3323
1.3.6.1.4.1.52642.2.79 fsMplsOam334
1.3.6.1.4.1.52642.2.80 fsMplsOamPs322
1.3.6.1.4.1.52642.2.81 fsSiemMib00
1.3.6.1.4.1.52642.2.82 fsUps18
1.3.6.1.4.1.52642.2.83 fsEOCCommon6135
1.3.6.1.4.1.52642.2.84 fsHPEOC479
1.3.6.1.4.1.52642.2.85 fsAFC210
1.3.6.1.4.1.52642.2.86 fsMultCDR219
1.3.6.1.4.1.52642.2.87 fsMACInformation148
1.3.6.1.4.1.52642.2.88 fsFireWall16
1.3.6.1.4.1.52642.2.89 fsDSP321
1.3.6.1.4.1.52642.2.90 fsNetMan417
1.3.6.1.4.1.52642.2.91 fsStack664
1.3.6.1.4.1.52642.2.92 fsPosa3161
1.3.6.1.4.1.52642.2.93 fsWebAuthentication211
1.3.6.1.4.1.52642.2.94 fsCATVTransceiver319
1.3.6.1.4.1.52642.2.95 fsLpbkdt232
1.3.6.1.4.1.52642.2.96 fsMultiMedia00
1.3.6.1.4.1.52642.2.97 fsDns218
1.3.6.1.4.1.52642.2.98 fs3GModem3118
1.3.6.1.4.1.52642.2.99 fsPortal7175
1.3.6.1.4.1.52642.2.100 fslldp340